[Pvfs2-cvs] commit by kunkel in pvfs2: Makefile.in configure configure.in

CVS commit program cvs at parl.clemson.edu
Tue Aug 29 06:41:10 EDT 2006


Update of /projects/cvsroot/pvfs2
In directory parlweb1:/tmp/cvs-serv30492

Modified Files:
      Tag: kunkel-branch
	Makefile.in configure configure.in 
Log Message:
Backmerge with HEAD


Index: Makefile.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/Makefile.in,v
diff -p -u -r1.216.6.1 -r1.216.6.2
--- Makefile.in	20 Aug 2006 10:16:14 -0000	1.216.6.1
+++ Makefile.in	29 Aug 2006 10:41:08 -0000	1.216.6.2
@@ -121,7 +121,6 @@ INCLUDES := \
     src/common/misc \
     src/common/quickhash \
     src/common/quicklist \
-    src/common/dotconf \
     src/common/id-generator \
     src/common/gossip \
     src/common/gen-locks \
@@ -143,6 +142,7 @@ LD = @CC@
 BUILD_CC = @BUILD_CC@
 BUILD_LD = @BUILD_CC@
 CFLAGS = @CFLAGS@
+DB_CFLAGS = @DB_CFLAGS@
 LDFLAGS = @LDFLAGS@
 SERVER_LDFLAGS = @SERVER_LDFLAGS@
 LDSHARED = $(CC) -shared
@@ -763,7 +763,7 @@ nodep:; @:
 # default rule for generating dependency files
 %.d: %.c
 	$(Q) "  DEP		$@"
-	$(E)CC="$(CC)" $(srcdir)/maint/depend.sh $(call dirname,$*) $(CFLAGS) $(call modcflags,$<) $< > $@
+	$(E)CC="$(CC)" $(srcdir)/maint/depend.sh $(call dirname,$*) $(CFLAGS) $(DB_CFLAGS) $(call modcflags,$<) $< > $@
 
 # default rules for building documents in .tex format:
 # TODO: these documentation rules are a big hack!

Index: configure
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure,v
diff -p -u -r1.302.2.7 -r1.302.2.8
--- configure	19 Aug 2006 13:09:27 -0000	1.302.2.7
+++ configure	29 Aug 2006 10:41:08 -0000	1.302.2.8
@@ -6729,9 +6729,12 @@ echo "$as_me: error: The kernel source t
     fi
     vers=`sed -n '/UTS_RELEASE/{; s/.*"\(0-9\.0-9\).*".*/\1/; p; }' $withval/include/linux/version.h`
     if ! grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/version.h ; then
-       { { echo "$as_me:$LINENO: error: The kernel source tree does not appear to be 2.6" >&5
+    	# 2.6.18 moves UTS_RELEASE into its own header
+	if ! grep -q  UTS_RELEASE..2\\.6\\. $withval/include/linux/utsrelease.h ; then
+	       { { echo "$as_me:$LINENO: error: The kernel source tree does not appear to be 2.6" >&5
 echo "$as_me: error: The kernel source tree does not appear to be 2.6" >&2;}
    { (exit 1); exit 1; }; }
+	fi
     fi
     # At least up through 2.6.3 needed to write .__modpost.cmd; this changed
     # sometime between then and 2.6.10.   Now anybody can compile out-of-tree
@@ -9782,7 +9785,7 @@ main ()
 			"tmp",
 			NULL,
 			DB_BTREE,
-			DB_CREATE | DB_AUTO_COMMIT,
+			DB_CREATE | DB_AUTO_COMMIT|DB_READ_UNCOMMITTED,
 			0777) != 0)
 	{
 		return 1;
@@ -10588,7 +10591,7 @@ main ()
 			"tmp",
 			NULL,
 			DB_BTREE,
-			DB_CREATE | DB_AUTO_COMMIT,
+			DB_CREATE | DB_AUTO_COMMIT|DB_READ_UNCOMMITTED,
 			0777) != 0)
 	{
 		return 1;
@@ -10673,6 +10676,7 @@ fi;
 fi
 
 if test "x$BUILD_SERVER" = "x1"; then
+		if test "x$with_aio" == xyes ; then
 
 
 echo "$as_me:$LINENO: checking if server lib needs -lrt" >&5
@@ -10786,6 +10790,7 @@ rm -f conftest.err conftest.$ac_objext \
 
 LDFLAGS=$oldldflags
 
+	fi
 fi
 
 case "$host_os" in

Index: configure.in
===================================================================
RCS file: /projects/cvsroot/pvfs2/configure.in,v
diff -p -u -r1.301.2.6 -r1.301.2.7
--- configure.in	19 Aug 2006 13:09:29 -0000	1.301.2.6
+++ configure.in	29 Aug 2006 10:41:10 -0000	1.301.2.7
@@ -414,7 +414,10 @@ AC_ARG_WITH(kernel,
     fi
     vers=`sed -n '/UTS_RELEASE/{; s/.*"\([0-9]\.[0-9]\).*".*/\1/; p; }' $withval/include/linux/version.h`
     if ! grep -q UTS_RELEASE..2\\.6\\. $withval/include/linux/version.h ; then
-       AC_MSG_ERROR(The kernel source tree does not appear to be 2.6)
+    	# 2.6.18 moves UTS_RELEASE into its own header
+	if ! grep -q  UTS_RELEASE..2\\.6\\. $withval/include/linux/utsrelease.h ; then
+	       AC_MSG_ERROR(The kernel source tree does not appear to be 2.6)
+	fi
     fi
     # At least up through 2.6.3 needed to write .__modpost.cmd; this changed
     # sometime between then and 2.6.10.   Now anybody can compile out-of-tree
@@ -642,7 +645,9 @@ dnl end of NEED_BERKELEY_DB section
 
 if test "x$BUILD_SERVER" = "x1"; then
 	dnl check if -lrt is required
-	AX_CHECK_NEEDS_LIBRT
+	if test "x$with_aio" == xyes ; then
+        AX_CHECK_NEEDS_LIBRT
+	fi
 fi
 
 case "$host_os" in



More information about the Pvfs2-cvs mailing list